Package org.eclipse.cdt.core.parser

# Interface IParserSettings

All Known Subinterfaces:
  `IParserSettings2`

All Known Implementing Classes:
  `IParserSettings2.Default`, `ParserSettings`

public interface IParserSettings
Interface for providing settings for the parser.

Since:
  5.6

## Method Summary

Modifier and Type
Method
Description
`int`
`getMaximumTrivialExpressionsInAggregateInitializers()`
Returns the maximum number of trivial expressions in aggregate initializers.

## Method Details

### getMaximumTrivialExpressionsInAggregateInitializers

int getMaximumTrivialExpressionsInAggregateInitializers()
Returns the maximum number of trivial expressions in aggregate initializers. Exceeding numbers of trivial aggregate initializers should be skipped by the parser for performance reasons. A negative number indicates that the parser shall not skip any initializers.